Subject: Re: tese doutoramento para o d-space
From: Gonçalo Jesus <[email-masked]>
To: Alda Silveira <[email-masked]>
Date: Tue, 24 May 2022 10:07:16 +0100

Olá Alda,

A tese é de acesso aberto e pode ser disponibilizada integralmente à
comunidade.

abraço,
Gonçalo

On Thu, May 19, 2022, 18:48 Gonçalo Jesus <[email-masked]> wrote:

> Olá Alda,
>
> Pode inserir pf a minha tese no d-space. Seguem abaixo os detalhes
> incluindo o link para o repositório da Universidade de Lisboa (URI):
>
> Título:  A dependability framework for WSN-based aquatic monitoring
> systems
> Autor:  Jesus, Gonçalo
> <https://repositorio.ul.pt/browse?type=author&authority=94845b02-e66e-42f0-abe4-890bc0b4780b>
> Orientador:  Casimiro, António
> <https://repositorio.ul.pt/browse?type=advisor&value=Casimiro%2C+Ant%C3%B3nio>
> Oliveira, Anabela
> <https://repositorio.ul.pt/browse?type=advisor&value=Oliveira%2C+Anabela>
>
>
> Resumo:  Wireless Sensor Networks (WSN) are being progressively used in
> several application areas, particularly to collect data and monitor
> physical processes. Moreover, sensor nodes used in environmental monitoring
> applications, such as the aquatic sensor networks, are often subject to
> harsh environmental conditions while monitoring complex phenomena.
> Non-functional requirements, like reliability, security or availability,
> are increasingly important and must be accounted for in the application
> development. For that purpose, there is a large body of knowledge on
> dependability techniques for distributed systems, which provides a good
> basis to understand how to satisfy these non-functional requirements of
> WSN-based monitoring applications. Given the data-centric nature of
> monitoring applications, it is of particular importance to ensure that data
> is reliable or, more generically, that it has the necessary quality. The
> problem of ensuring the desired quality of data for dependable monitoring
> using WSNs is studied herein. With a dependability-oriented perspective, it
> is reviewed the possible impairments to dependability and the prominent
> existing solutions to solve or mitigate these impairments. Despite the
> variety of components that may form a WSN-based monitoring system, it is
> given particular attention to understanding which faults can affect
> sensors, how they can affect the quality of the information, and how this
> quality can be improved and quantified. Open research issues for the
> specific case of aquatic monitoring applications are also discussed. One of
> the challenges in achieving a dependable system behavior is to overcome the
> external disturbances affecting sensor measurements and detect the failure
> patterns in sensor data. This is a particular problem in environmental
> monitoring, due to the difficulty in distinguishing a faulty behavior from
> the representation of a natural phenomenon. Existing solutions for failure
> detection assume that physical processes can be accurately modeled, or that
> there are large deviations that may be detected using coarse techniques, or
> more commonly that it is a high-density sensor network with value redundant
> sensors. This thesis aims at defining a new methodology for dependable data
> quality in environmental monitoring systems, aiming to detect faulty
> measurements and increase the sensors data quality. The framework of the
> methodology is overviewed through a generically applicable design, which
> can be employed to any environment sensor network dataset. The methodology
> is evaluated in various datasets of different WSNs, where it is used
> machine learning to model each sensor behavior, exploiting the existence of
> correlated data provided by neighbor sensors. It is intended to explore the
> data fusion strategies in order to effectively detect potential failures
> for each sensor and, simultaneously, distinguish truly abnormal
> measurements from deviations due to natural phenomena. This is accomplished
> with the successful application of the methodology to detect and correct
> outliers, offset and drifting failures in real monitoring networks
> datasets. In the future, the methodology can be applied to optimize the
> data quality control processes of new and already operating monitoring
> networks, and assist in the networks maintenance operations.
> ------------------------------
> As redes de sensores sem fios (RSSF) têm vindo cada vez mais a serem
> utilizadas em diversas áreas de aplicação, em especial para monitorizar e
> capturar informação de processos físicos em meios naturais. Neste contexto,
> os sensores que estão em contacto direto com o respectivo meio ambiente,
> como por exemplo os sensores em meios aquáticos, estão sujeitos a condições
> adversas e complexas durante o seu funcionamento. Esta complexidade conduz
> à necessidade de considerarmos, durante o desenvolvimento destas redes, os
> requisitos não funcionais da confiabilidade, da segurança ou da
> disponibilidade elevada. Para percebermos como satisfazer estes requisitos
> da monitorização com base em RSSF para aplicações ambientais, já existe uma
> boa base de conhecimento sobre técnicas de confiabilidade em sistemas
> distribuídos. Devido ao foco na obtenção de dados deste tipo de aplicações
> de RSSF, é particularmente importante garantir que os dados obtidos na
> monitorização sejam confiáveis ou, de uma forma mais geral, que tenham a
> qualidade necessária para o objetivo pretendido. Esta tese estuda o
> problema de garantir a qualidade de dados necessária para uma monitorização
> confiável usando RSSF. Com o foco na confiabilidade, revemos os possíveis
> impedimentos à obtenção de dados confiáveis e as soluções existentes
> capazes de corrigir ou mitigar esses impedimentos. Apesar de existir uma
> grande variedade de componentes que formam ou podem formar um sistema de
> monitorização com base em RSSF, prestamos particular atenção à compreensão
> das possíveis faltas que podem afetar os sensores, a como estas faltas
> afetam a qualidade dos dados recolhidos pelos sensores e a como podemos
> melhorar os dados e quantificar a sua qualidade. Tendo em conta o caso
> específico dos sistemas de monitorização em meios aquáticos, discutimos
> ainda as várias linhas de investigação em aberto neste tópico. Um dos
> desafios para se atingir um sistema de monitorização confiável é a deteção
> da influência de fatores externos relacionados com o ambiente monitorizado,
> que afetam as medições obtidas pelos sensores, bem como a deteção de
> comportamentos de falha nas medições. Este desafio é um problema particular
> na monitorização em ambientes naturais adversos devido à dificuldade da
> distinção entre os comportamentos associados às falhas nos sensores e os
> comportamentos dos sensores afetados pela à influência de um evento
> natural. As soluções existentes para este problema, relacionadas com
> deteção de faltas, assumem que os processos físicos a monitorizar podem ser
> modelados de forma eficaz, ou que os comportamentos de falha são
> caraterizados por desvios elevados do comportamento expectável de forma a
> serem facilmente detetáveis. Mais frequentemente, as soluções assumem que
> as redes de sensores contêm um número suficientemente elevado de sensores
> na área monitorizada e, consequentemente, que existem sensores redundantes
> relativamente à medição. Esta tese tem como objetivo a definição de uma
> nova metodologia para a obtenção de qualidade de dados confiável em
> sistemas de monitorização ambientais, com o intuito de detetar a presença
> de faltas nas medições e aumentar a qualidade dos dados dos sensores. Esta
> metodologia tem uma estrutura genérica de forma a ser aplicada a uma
> qualquer rede de sensores ambiental ou ao respectivo conjunto de dados
> obtido pelos sensores desta. A metodologia é avaliada através de vários
> conjuntos de dados de diferentes RSSF, em que aplicámos técnicas de
> aprendizagem automática para modelar o comportamento de cada sensor, com
> base na exploração das correlações existentes entre os dados obtidos pelos
> sensores da rede. O objetivo é a aplicação de estratégias de fusão de dados
> para a deteção de potenciais falhas em cada sensor e, simultaneamente, a
> distinção de medições verdadeiramente defeituosas de desvios derivados de
> eventos naturais. Este objectivo é cumprido através da aplicação bem
> sucedida da metodologia para detetar e corrigir outliers, offsets e drifts
> em conjuntos de dados reais obtidos por redes de sensores. No futuro, a
> metodologia pode ser aplicada para otimizar os processos de controlo da
> qualidade de dados quer de novos sistemas de monitorização, quer de redes
> de sensores já em funcionamento, bem como para auxiliar operações de
> manutenção das redes.
> URI:  http://hdl.handle.net/10451/43872
> Designação:  Tese de Doutoramento, Informática (Engenharia Informática),
> Universidade de Lisboa, Faculdade de Ciências, 2019
>
> Obrigado e beijinhos,
> Gonçalo
> --
>
> <[email-masked]>
>